import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const gatewayConfigView = await client.gatewayConfigs.delete('id');
console.log(gatewayConfigView.id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
gateway_config_view = client.gateway_configs.delete(
"id",
)
print(gateway_config_view.id)curl --request POST \
--url https://api.runloop.ai/v1/gateway-configs/{id}/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'
{
"id": "<string>",
"name": "<string>",
"endpoint": "<string>",
"auth_mechanism": {
"type": "<string>",
"key": "<string>"
},
"create_time_ms": 123,
"account_id": "<string>",
"description": "<string>",
"custom_headers": [
{
"name": "<string>",
"secret": "<string>",
"value": "<string>"
}
]
}Delete a GatewayConfig.
Delete an existing GatewayConfig. This action is irreversible.
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const gatewayConfigView = await client.gatewayConfigs.delete('id');
console.log(gatewayConfigView.id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
gateway_config_view = client.gateway_configs.delete(
"id",
)
print(gateway_config_view.id)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the GatewayConfig to delete.
Body
The body is of type object.
Response
GatewayConfig deleted successfully.
A GatewayConfig defines a configuration for proxying API requests through the agent gateway. It specifies the target endpoint and how credentials should be applied.
The unique identifier of the GatewayConfig.
The human-readable name of the GatewayConfig. Names may be reused.
The target endpoint URL (e.g., 'https://api.anthropic.com').
How credentials should be applied to proxied requests.
Show child attributes
Show child attributes
Creation time of the GatewayConfig (Unix timestamp in milliseconds).
The account ID that owns this config.
Optional description for this gateway configuration.
Additional headers applied to proxied requests after the auth mechanism. Secret-backed entries reference the secret by 'sec_' id; values are never returned.
Show child attributes
Show child attributes
Was this page helpful?
